package com.diagbot.web;


import com.diagbot.dto.RespDTO;
import com.diagbot.dto.ScaleDTO;
import com.diagbot.facade.KlRegulationBaseFacade;
import com.diagbot.vo.ScaleVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 通用规则表 前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2021-06-15
 */
@RestController
@RequestMapping("/klRegulation")
@Api(value = "其他规则API", tags = { "其他规则API" })
public class KlRegulationController {

    @Autowired
    KlRegulationBaseFacade klRegulationBaseFacade;

    @ApiOperation(value = "量表规则匹配[zhoutg]", notes = "")
    @PostMapping("/scaleRule")
    public RespDTO<ScaleDTO> scaleRule(@RequestBody ScaleVO scaleVO) {
        ScaleDTO scaleDTO = klRegulationBaseFacade.process(scaleVO);
        return RespDTO.onSuc(scaleDTO);
    }
}
